/* This class simply normalizes the velocity vector for the agent
 * This will give agents momentum
 **/
package sim.app.socialagents;

import sim.util.*;

public class MomentumGoal extends Goal{

	public MomentumGoal(){

	}

	/* simply creates a vector pointing away from the otherPosition vector
	 **/
	public MutableDouble2D getVectorToGoal(CommAgent agent){

		MutableDouble2D vector = new MutableDouble2D(agent.velocityx, agent.velocityy);

		if(vector.lengthSq() != 0.0){
			vector.normalize();
		}

		return vector;

	}

}
