package sim.app.socialagents;

import java.util.*;
import java.io.*;

public class WriteFullRunGoalParamsFalseGNU{

	public static void main(String[] args) throws Exception{

		if(args.length != 2){
			System.err.println("USAGE: java WriteFullRunGoalParamsFalseGNU [run_num_start] [run_num_end]");
			return;
		}

		PrintWriter pr;
		int runNumStart, runNumEnd;

		runNumStart = Integer.parseInt(args[0]);
		runNumEnd   = Integer.parseInt(args[1]);

		pr = new PrintWriter(new BufferedWriter(new FileWriter("output/fullRunGoalParamsFalse" + runNumStart + "-" + runNumEnd + ".gnu")));

		for(int curRun = runNumStart; curRun <= runNumEnd; curRun++){

			pr.println("plot [][0:1000]\\");
			pr.println("    \"run" + curRun + "/fullRun.txt\" using 4, \"run" + curRun + "/fullRun.txt\" using 12, \"run" + curRun + "/fullRun.txt\" using 13, \"run" + curRun + "/fullRun.txt\" using 14, \"run" + curRun + "/fullRun.txt\" using 15, \"run" + curRun + "/fullRun.txt\" using 16");
			pr.println("pause -1 \"hit enter\"");
			pr.println();

		}

		pr.close();

	}

}
