package bioutil;
import sim.app.socialagents.*;

/**
 * Class representing a message
 * sent from one agent to another.
 * This contains a morphogen message.
 * 
 * @author Adelein Rodriguez
 */
public class Message {
	
	public Morphogen morphogen;
	long time;
	
	public Message(Morphogen m, long t){
		
		this.morphogen=m;
		this.time=t;
		
	}
	
	public String toString(){
		
		
		return "("+morphogen.name+","+morphogen.value+") "+time;
		
	}

}
