package sim.app.socialagents;


import bioutil.Morphogen;
import sim.engine.*;
import sim.util.Bag;
import ec.util.*;


public class GradientTester {
	
	
	private MersenneTwisterFast rng;
	
	GradientTester(){
		
		rng=new MersenneTwisterFast(0);
	}
	
	public static void main(String[] args){
		
		GradientTester tester= new GradientTester();
		AgentController controller;
		SocialSim sim;
		long steps;
		
		controller = new SocialAgentController(tester.rng);
		// create a brand new simulation and run it
		sim = new SocialSim(System.currentTimeMillis());
		
		steps = 0;
		sim.start();
		
		while(steps <= 20000){

			if(!sim.schedule.step(sim)){
				break;
			}
			System.out.println("Step "+steps);
			if(steps==1000|| steps==5000|| steps==19000){
			
				//	Testing gradients 
				Bag agents = new Bag(sim.agents.getAllObjects());
				SocialAgent agent = (SocialAgent)(agents.objs[2]);
				agent.createGradient(new Morphogen("A",4),sim);
			}
			steps = sim.schedule.getSteps();

		
		}
		
		
	}
	
	
	
	

}
