package sim.app.socialagents;

import java.util.*;
import java.io.*;

public class WriteStdDevEvolvedParamsGNU{

	public static void main(String[] args) throws Exception{

		if(args.length != 2){
			System.err.println("USAGE: java WriteStdDevEvolvedParamsGNU [run_num_start] [run_num_end]");
			return;
		}

		PrintWriter pr;
		int runNumStart, runNumEnd;
		int numGenerations;
		ConfigParams params;
		BufferedReader br;
		StringTokenizer tokenizer;

		runNumStart = Integer.parseInt(args[0]);
		runNumEnd   = Integer.parseInt(args[1]);

		pr = new PrintWriter(new BufferedWriter(new FileWriter("output/stdDevEvolvedParams" + runNumStart + "-" + runNumEnd + ".gnu")));

		for(int curRun = runNumStart; curRun <= runNumEnd; curRun++){

			pr.println("plot [][0:1]\\");
			pr.println("    \"run" + curRun + "/stdDevEvolvedParams.txt\" using 1 w line, \"run" + curRun + "/stdDevEvolvedParams.txt\" using 2 w line");
			pr.println("pause -1 \"hit enter\"");
			pr.println();

		}

		pr.close();

	}

}
